package com.ruoyi.model.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.model.domain.AppletOrder;
import com.ruoyi.model.domain.AppletOrderItem;

import java.util.List;

/**
 * 接单端总订单信息Service接口
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public interface IAppletOrderItemService extends IService<AppletOrderItem>
{
    /**
     * 查询订单信息
     * 
     * @param id 订单信息主键
     * @return 订单信息
     */
    public AppletOrderItem selectAppletOrderItemById(Long id);
    public AppletOrderItem selectAppletOrderItemByOrderIdUserId(AppletOrderItem appletOrderItem);
    public AppletOrderItem selectAppletOrderItemByOrderId(AppletOrderItem appletOrderItem);

    /**
     * 查询订单信息列表
     * 
     * @param appletOrderItem 订单信息
     * @return 订单信息集合
     */
    public List<AppletOrderItem> selectAppletOrderItemList(AppletOrderItem appletOrderItem);
    public List<AppletOrderItem> selectAppletOrderItemListLikeUserIdJson(AppletOrderItem appletOrderItem);

    /**
     * 新增订单信息
     *
     * @param appletOrderItem 订单信息
     * @return 结果
     */
    public int insertAppletOrderItem(AppletOrderItem appletOrderItem);

    /**
     * 修改订单信息
     *
     * @param appletOrderItem 订单信息
     * @return 结果
     */
    public int updateAppletOrderItem(AppletOrderItem appletOrderItem);

    /**
     * 批量删除订单信息
     *
     * @param ids 需要删除的订单信息主键集合
     * @return 结果
     */
    public int deleteAppletOrderItemByIds(Long[] ids);

    /**
     * 删除订单信息信息
     *
     * @param id 订单信息主键
     * @return 结果
     */
    public int deleteAppletOrderItemById(Long id);

}
